using Unit4.CollectionsLib;

/// <summary>
/// "  3    -    " 
/// </summary>
/// <author>   ,   ,  ,  </author>
/// <version> 28.11.2007 </version>

public class RatingList
{
	private List<SiteRating> ratingList;

	public RatingList()
	{
		this.ratingList = new List<SiteRating>();
	}
	
	public void Rate(string siteURL, int points)
	{
		Node<SiteRating> pos = this.ratingList.GetFirst();
		
		while(pos != null && !pos.GetInfo().GetURL().Equals(siteURL))
			pos = pos.GetNext();
		
		SiteRating site;
		if(pos != null)
		{ 
			site = pos.GetInfo();
			site.AddPoints(points);
			this.ratingList.Remove(pos);
		}
		else
			site = new SiteRating(siteURL, points);
		
		Node<SiteRating> prev = null;
		pos = this.ratingList.GetFirst();

		while((pos != null) && (pos.GetInfo().GetPoints()>site.GetPoints()))
		{
			prev = pos;
			pos = pos.GetNext();
		}

		this.ratingList.Insert(prev, site);
	}

	public override string ToString()
	{
		return this.ratingList.ToString();
	}
}
